function [F_D] = F_Drag_Inc(body,RB,n,name,inc_wave)

j = 0;
for i = 1:length(RB)
name2 = get(RB{i},'name');
  if(strcmp(name2,name))
    j = i;
  end
end
if(j == 0)
   error('ERROR: Can not find name match in F_Drag_Inc');
end

body2 = RB{j};

sv1 = get(body,'sv');
sv2 = get(body2,'sv');

xoa = get(body,'x0');
xob = get(body2,'x0');

frac = mod(n,1);
n = floor(n);

dt = get(body,'dt');

x = get(body,'sv');

Area = get(body,'Area');

Cd = get(body,'Cd');

if (isobject(inc_wave))
  [ivelx ively ivelz] = vel(inc_wave,(xoa(1)+sv1(1))-(xob(1)+sv2(1)),(xoa(3)+sv1(3))-(xob(3)+sv2(3)),n*dt);  
  %Get incident wave velocity at body coordinate center (relative to surface buoy, specifiec as 'name')
  %[ivelx ively ivelz] = vel(inc_wave,sv1(1)-sv2(1),sv1(3)-sv2(3),n*dt); 

else
  ivelx = 0; ively = 0; ivelz = 0;
end

velx = sv1(7);
vely = sv1(8);
velz = sv1(9);


rho = 1025;

F_D = zeros(1,6);


F_D(1) = -0.5*Cd(1)*rho*Area(1)*(velx-ivelx)*abs(velx-ivelx);
F_D(2) = -0.5*Cd(2)*rho*Area(2)*(vely-ively)*abs(vely-ively);
F_D(3) = -0.5*Cd(3)*rho*Area(3)*(velz-ivelz)*abs(velz-ivelz);


